Summary: Bluetooth utilities 
Name: bluez-utils
Version: 2.15
Release: 7
License: GPL
Group: Applications/System
Source: http://bluez.sourceforge.net/download/%{name}-%{version}.tar.gz
Source1: bluetooth.init
Source2: pand.init
Source3: dund.init
Source4: hidd.init
Source6: pand.conf
Source7: dund.conf
Source8: hidd.conf
Source9: bluetooth.conf
Patch1: bluez-utils-2.15-dbuslate.patch
Patch2: bluez-utils-2.3-conf.patch
Patch3: bluez-utils-2.15-new_dbus_api.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://www.bluez.org/
BuildRequires: bluez-libs-devel >= %{version}
BuildRequires: flex
BuildRequires: dbus-devel >= 0.31
ExcludeArch: s390 s390x
Obsoletes: bluez-pan, bluez-sdp
Requires: initscripts, bluez-libs >= %{version}
Requires: dbus >= 0.31
Prereq: /sbin/chkconfig, /sbin/service

%description
Bluetooth utilities (bluez-utils):
	- hcitool
	- hciattach
	- hciconfig
	- hcid
	- l2ping
	- start scripts (Red Hat)
	- pcmcia configuration files

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%package cups
Summary: CUPS printer backend for Bluetooth printers
Group: System Environment/Daemons
Requires: bluez-libs >= %{version}
Requires: cups

%description cups
This package contains the CUPS backend 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .new_dbus_api

%build
aclocal
autoconf
%configure --with-bluez-libs=%{_libdir} --enable-dbus --enable-cups --enable-hid2hci --enable-pcmcia --enable-pie --enable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/etc/default/bluetooth $RPM_BUILD_ROOT/etc/init.d/bluetooth
for a in bluetooth dund hidd pand ; do 
	install -D -m0755 $RPM_SOURCE_DIR/$a.init $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/$a
	install -D -m0644 $RPM_SOURCE_DIR/$a.conf $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/$a
done
install -D -m0755 cups/bluetooth ${RPM_BUILD_ROOT}%{_libdir}/cups/backend/bluetooth


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add bluetooth
if [ "$1" = "1" ]; then
/sbin/service bluetooth condrestart
fi
exit 0

%preun
/sbin/service bluetooth stop > /dev/null 2>&1
if [ "$1" = "0" ]; then
/sbin/chkconfig --del bluetooth
fi
exit 0

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
/etc/rc.d/init.d/*
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*
%dir %{_sysconfdir}/bluetooth/
%config(noreplace) %{_sysconfdir}/bluetooth/*
%config(noreplace) %{_sysconfdir}/sysconfig/*
%config %{_sysconfdir}/pcmcia/bluetooth.conf
%config %attr(0755,root,root) %{_sysconfdir}/pcmcia/bluetooth

%files cups
%defattr(-, root, root)
%{_libdir}/cups/backend/bluetooth

%changelog
* Mon May  2 2005 David Woodhouse <dwmw2@redhat.com> 2.15-7
- Run hidd by default (#155831)

* Mon May  2 2005 Miloslav Trmac <mitr@redhat.com> - 2.15-6
- Add missing backslashes to init script descriptions (#154494, patch by Ville
  Skyttä)

* Fri Mar 25 2005 Florian La Roche <laroche@redhat.com>
- make sure post/postun end with a "exit 0"

* Tue Mar 8 2005 John (J5) Palmieri <johnp@redhat.com> 2.15-4
- fixup new_dbus_api patch

* Tue Mar 8 2005 John (J5) Palmieri <johnp@redhat.com> 2.15-3
- add patch to update to new dbus-0.31 api

* Thu Mar 3 2005 David Woodhouse <dwmw2@redhat.com> 2.15-2
- Don't abort if dbus isn't available at startup; try again when 
  we actually need it

* Wed Mar 2 2005 David Woodhouse <dwmw2@redhat.com> 2.15-1
- Update to bluez-utils 2.15
- Add Obsoletes: bluez-sdp (#131653)
- Fix hidd default args (#145939)
- Make /etc/pcmcia/bluetooth executable (#148752)
- Use dbus PIN by default (#131603, #134856, #145993)
- Don't report hidd status in bluetooth initscript (#139169)

* Thu Jan 20 2005 David Woodhouse <dwmw2@redhat.com> 2.14-1
- Update to bluez-utils 2.14

* Wed Jan 12 2005 David Woodhouse <dwmw2@redhat.com> 2.13-1
- Update to bluez-utils 2.13

* Tue Dec 07 2004 Florian La Roche <laroche@redhat.com>
- add prereq for service/chkconfig

* Wed Dec 01 2004 Phil Knirsch <pknirsch@redhat.com> 2.10-3
- Minor dependancy fix (missing initscripts for post stuff)
- Switch Copyright to License

* Mon Aug 16 2004 David Woodhouse <dwmw2@redhat.com> 2.10-2
- Rebuild against new bluez-libs with nicer unaligned access macros

* Sat Aug 14 2004 David Woodhouse <dwmw2@redhat.com> 2.10-1
- Update to bluez-utils 2.10

* Fri Aug 13 2004 David Woodhouse <dwmw2@redhat.com> 2.9-2
- Merge PIE patch from upstream
- Don't enable auth and encrypt by default.

* Tue Aug 03 2004 David Woodhouse <dwmw2@redhat.com> 2.9-1
- Update to bluez-utils 2.9

* Tue Jul 20 2004 David Woodhouse <dwmw2@redhat.com> 2.8-1
- Update to bluez-utils 2.8

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Jun 06 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- add the necessary defattr for the cups sub-rpm

* Wed May 19 2004 David Woodhouse <dwmw2@redhat.com> 2.7-3
- Include bluetooth.conf in sources.
- Make new bluez-utils-cups package for CUPS backend.

* Wed May 12 2004 David Woodhouse <dwmw2@redhat.com> 2.7-2
- Build PIE

* Tue May 11 2004 David Woodhouse <dwmw2@redhat.com> 2.7-1
- Update to bluez-utils 2.7

* Mon Mar 15 2004 David Woodhouse <dwmw2@redhat.com> 2.4-3
- Update to dbus-0.20 compatible code from bluez-utils CVS

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 09 2004 Karsten Hopp <karsten@redhat.de> 2.4-1 
- update to 2.4
- new -build patch
- new -hciattach-initspeed patch
- new -pinwait patch

* Mon Feb 09 2004 Karsten Hopp <karsten@redhat.de> 2.3-15
- fix updates. Last command run at update was  
  /sbin/chkconfig --del bluetooth (Dag Wieers)

* Wed Oct 22 2003 Karsten Hopp <karsten@redhat.de> 2.3-14
- add status to initscript (#106265)

* Tue Sep 09 2003 David Woodhouse <dwmw2@redhat.com> 2.3-13
- Make config files noreplace to fix #104074

* Fri Sep 05 2003 David Woodhouse <dwmw2@redhat.com> 2.3-12
- Updated dbus patch to fix conf file parser.

* Sat Aug 30 2003 David Woodhouse <dwmw2@redhat.com> 2.3-11
- Ignore SIGCHLD.

* Sat Aug 30 2003 David Woodhouse <dwmw2@redhat.com> 2.3-10
- Don't ignore SIGCHLD.

* Tue Aug 26 2003 David Woodhouse <dwmw2@redhat.com> 2.3-9 
- Init script enabled by default

* Fri Jun 20 2003 David Woodhouse <dwmw2@redhat.com> 2.3-8
- Use aclocal-1.4 not aclocal

* Fri Jun 20 2003 David Woodhouse <dwmw2@redhat.com> 2.3-7
- Add Phil Blundell's dbus patch
- chkconfig and condrestart in %post

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com> 2.3-6
- rebuilt

* Tue May 06 2003 David Woodhouse <dwmw2@redhat.com> 2.3-5
- Fix tmpfile bug

* Sun Apr 27 2003 David Woodhouse <dwmw2@redhat.com> 2.3-4
- Work around fontconfig bug when invoked with no HOME in environment

* Sun Apr 27 2003 David Woodhouse <dwmw2@redhat.com> 2.3-3
- Unignore SIGCHLD before starting pin helper, report its return code

* Fri Apr 25 2003 David Woodhouse <dwmw2@redhat.com> 2.3-2
- Fix bluepin some more.

* Thu Apr 24 2003 David Woodhouse <dwmw2@redhat.com> 2.3-1
- Upgrade to bluez-utils 2.3
- Fix, document and use 'rfcomm bind all'
- Support sending break and changing initial speed in hciattach
- Fix bluepin for gtk2

* Mon Apr 14 2003 Bill Nottingham <notting@redhat.com> 2.2-4
- fix reference to bluepin in /etc/pcmcia/hcid.conf (#88797)

* Mon Feb 24 2003 Bill Nottingham <notting@redhat.com> 2.2-3
- fix errors from cardmgr on startup

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Jan 19 2003 Matt Wilson <msw@redhat.com> 2.2-1
- configure with --with-bluez-libs=%%{_libdir}

* Fri Jan 17 2003 Bill Nottingham <notting@redhat.com> 2.2-1
- adapt upstream rpm

* Tue Aug 13 2002 Sebastian Frankfurt <sf@infesto.de>
- Initial RPM
